Guard Sherring:
According to legend, the Ice Queen's Castle was once a beautiful palace, built by seven Dwarven Maestros as a tribute to the Elven Magician Preya.
But something dreadful happened to Preya, and she became the horrifying witch that we now call the Ice Queen. Since that day, the whole region has been covered in snow and ice! her bitterness must have caused it... Still, I'm sure the Ice Castle is a wonder to behold!
You mustn't venture too far inside, however. There are Ice Spirits there!
Return